Subject: X2go successfully connects to server, but no window is shown
From: sebastien chabrolles <[email-masked]>
To: [email-masked]
Date: Sat, 14 Jun 2014 22:23:10 +0200

Package: x2goserver
Version : 4.0.1.15

Package: x2goagent
Version : 3.5.0.24

Hello,

I'm using the latest package provided by fedora rawhide repo (v21) for 
x2goserver on IBM POWER8 Server (ppc64)

- Installation is ok without error
- Connexion from client to server is ok 
- But Nothing happen on the screen, I try several option (desktop, firefox 
browser, xterm), but no windows is shown and no errors in the logs.
- I also try a ssh -X connexion and try xterm command, erverything works, 
but not with x2go

Here is a copy of the session.log:

NXAGENT - Version 3.5.0

Copyright (C) 2001, 2011 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Agent running with pid '3864'.
Session: Starting session at 'Sat Jun 14 20:26:54 2014'.
Info: Proxy running in server mode with pid '3864'.
Info: Waiting for connection from 'localhost' on port '30123'.
Info: Accepted connection from '127.0.0.1'.
Info: Connection with remote proxy completed.
Info: Using WAN link parameters 768/24/1/0.
Info: Using agent parameters 5000/5/50/0/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-png-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 1/1.
Info: No suitable cache file found.
Info: Listening to X11 connections on display ':89'.
Info: Established X client connection.
Info: Using shared memory parameters 1/1/1/2048K.
Info: Using alpha channel in render extension.
Info: Not using local device configuration changes.
keyboard file created
SessionPath not defined
Session: Session started at 'Sat Jun 14 20:27:04 2014'.
Session: Terminating session at 'Sat Jun 14 20:35:09 2014'.
Info: Waiting the cleanup timeout to complete.
Session: Session terminated at 'Sat Jun 14 20:35:10 2014'.

Cordialement / Best Regards

Sébastien Chabrolles
Power Systems Benchmark Specialist
IBM Client Center, Montpellier 
1 rue vieille poste 34000 Montpellier FRANCE 
Tel +33 4 67 34 40 95
Email : [email-masked]

Sauf indication contraire ci-dessus:/ Unless stated otherwise above:
Compagnie IBM France
Siège Social : 17 avenue de l'Europe, 92275 Bois-Colombes Cedex
RCS Nanterre 552 118 465
Forme Sociale : S.A.S.
Capital Social : 655.732.332,20 ?
SIREN/SIRET : 552 118 465 03644 - Code NAF 6202A